Subject: RE: [MSEC] MIKEY Question

From: "Fredrik Lindholm (KI/EAB)" <[email-masked]>
Date: Mon, 20 Dec 2004 08:51:02 +0100

Hi Steffen,

MIKEY does not support the option to update the salting key alone.

Regards,
Fredrik
 
> On Dec 17, 2004, at 12:57 AM, Steffen Fries wrote:
> 
> > Hi,
> >
> > I've got a question to the usage of the salt and master key (TGK)
> > delivered by MIKEY. Does MIKEY offer an option to update the
> > salting key alone by keeping the same TGK?
> 
> I can't imagine why anyone would want to do that given the purpose of 
> the salting key (see 
> http://www.mindspring.com/~dmcgrew/dam-srf-sac00.pdf).
> >
> > The question behind that is if the master key and the salting key
> > are both delivered by MIKEY and used in SRTP to derive the
> > session keys, what is to value of the salt, when it is changed
> > every time the master key is changed too? I thought the salt
> 
> The purpose is to make a precomputation attack infeasible.
> 
> > would provide randomness in the case of using the master key
> > multiple times.
> 
> No, it does not do that.  It's a public value.
> 
> > What would be example offline attacks that
> > leverage the absence of the salt?
> 
> Specific attacks on additive encryption in the case of RFC 3711.
> 
> Mark
> >
> > Regards
> > 	Steffen
> > _______________________________________________
> > msec mailing list
> > [email-masked]
> > http://six.pairlist.net/mailman/listinfo/msec
> >
> _______________________________________________
> msec mailing list
> [email-masked]
> http://six.pairlist.net/mailman/listinfo/msec
> 
_______________________________________________
msec mailing list
[email-masked]
http://six.pairlist.net/mailman/listinfo/msec